<?xml version="1.0" encoding="UTF-8" ?>
<testsuite tests="1" failures="0" name="org.apache.synapse.mediators.xquery.XQueryMediatorSerializationTest" time="0.137" errors="0" skipped="0">
  <properties>
    <property name="java.runtime.name" value="Java(TM) SE Runtime Environment"/>
    <property name="sun.boot.library.path" value="/build/software/java/jdk1.8.0_171/jre/lib/amd64"/>
    <property name="java.vm.version" value="25.171-b11"/>
    <property name="java.vm.vendor" value="Oracle Corporation"/>
    <property name="java.vendor.url" value="http://java.oracle.com/"/>
    <property name="path.separator" value=":"/>
    <property name="java.vm.name" value="Java HotSpot(TM) 64-Bit Server VM"/>
    <property name="file.encoding.pkg" value="sun.io"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.os.patch.level" value="unknown"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="user.dir" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout/modules/extensions"/>
    <property name="java.runtime.version" value="1.8.0_171-b11"/>
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment"/>
    <property name="basedir" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout/modules/extensions"/>
    <property name="java.endorsed.dirs" value="/build/software/java/jdk1.8.0_171/jre/lib/endorsed"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="line.separator" value="
"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="os.name" value="Linux"/>
    <property name="sun.jnu.encoding" value="UTF-8"/>
    <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="java.class.version" value="52.0"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="os.version" value="4.14.158-129.185.amzn2.x86_64"/>
    <property name="user.home" value="/root"/>
    <property name="user.timezone" value="Etc/UTC"/>
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob"/>
    <property name="file.encoding" value="UTF-8"/>
    <property name="java.specification.version" value="1.8"/>
    <property name="user.name" value="root"/>
    <property name="java.class.path" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository/org/apache/maven/surefire/surefire-booter/2.0/surefire-booter-2.0.jar:/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository/org/apache/maven/surefire/surefire-api/2.0/surefire-api-2.0.jar:/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository/org/codehaus/plexus/plexus-utils/1.1/plexus-utils-1.1.jar"/>
    <property name="java.vm.specification.version" value="1.8"/>
    <property name="jacoco-agent.destfile" value="target/coverage-reports/jacoco-unit-ext.exec"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="java.home" value="/build/software/java/jdk1.8.0_171/jre"/>
    <property name="sun.java.command" value="org.apache.maven.surefire.booter.SurefireBooter /tmp/surefire2292213394631384781tmp /tmp/surefire1890495278866099390tmp"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="user.language" value="en"/>
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit"/>
    <property name="java.vm.info" value="mixed mode"/>
    <property name="java.version" value="1.8.0_171"/>
    <property name="java.ext.dirs" value="/build/software/java/jdk1.8.0_171/jre/lib/ext:/usr/java/packages/lib/ext"/>
    <property name="sun.boot.class.path" value="/build/software/java/jdk1.8.0_171/jre/lib/resources.jar:/build/software/java/jdk1.8.0_171/jre/lib/rt.jar:/build/software/java/jdk1.8.0_171/jre/lib/sunrsasign.jar:/build/software/java/jdk1.8.0_171/jre/lib/jsse.jar:/build/software/java/jdk1.8.0_171/jre/lib/jce.jar:/build/software/java/jdk1.8.0_171/jre/lib/charsets.jar:/build/software/java/jdk1.8.0_171/jre/lib/jfr.jar:/build/software/java/jdk1.8.0_171/jre/classes"/>
    <property name="java.vendor" value="Oracle Corporation"/>
    <property name="localRepository" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository"/>
    <property name="file.separator" value="/"/>
    <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="sun.cpu.isalist" value=""/>
  </properties>
  <testcase name="testThreadSafety" time="0.528"/>
  <testcase name="testThreadSafety" time="0.041"/>
  <testcase name="testThreadSafety" time="0.044"/>
  <testcase name="testThreadSafety" time="0.037"/>
  <testcase name="testThreadSafety" time="0.036"/>
  <testcase name="testThreadSafety" time="0.053"/>
  <testcase name="testThreadSafety" time="0.033"/>
  <testcase name="testThreadSafety" time="0.032"/>
  <testcase name="testThreadSafety" time="0.034"/>
  <testcase name="testThreadSafety" time="0.036"/>
  <testcase name="testThreadSafety" time="0.033"/>
  <testcase name="testThreadSafety" time="0.024"/>
  <testcase name="testThreadSafety" time="0.03"/>
  <testcase name="testThreadSafety" time="0.037"/>
  <testcase name="testThreadSafety" time="0.024"/>
  <testcase name="testThreadSafety" time="0.029"/>
  <testcase name="testThreadSafety" time="0.023"/>
  <testcase name="testThreadSafety" time="0.024"/>
  <testcase name="testThreadSafety" time="0.055"/>
  <testcase name="testThreadSafety" time="0.026"/>
  <testcase name="testThreadSafety" time="0.023"/>
  <testcase name="testThreadSafety" time="0.024"/>
  <testcase name="testThreadSafety" time="0.029"/>
  <testcase name="testThreadSafety" time="0.033"/>
  <testcase name="testThreadSafety" time="0.025"/>
  <testcase name="testThreadSafety" time="0.021"/>
  <testcase name="testThreadSafety" time="0.02"/>
  <testcase name="testThreadSafety" time="0.02"/>
  <testcase name="testThreadSafety" time="0.02"/>
  <testcase name="testThreadSafety" time="0.022"/>
  <testcase name="testThreadSafety" time="0.022"/>
  <testcase name="testThreadSafety" time="0.023"/>
  <testcase name="testThreadSafety" time="0.025"/>
  <testcase name="testThreadSafety" time="0.029"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.021"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.017"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.02"/>
  <testcase name="testThreadSafety" time="0.02"/>
  <testcase name="testThreadSafety" time="0.025"/>
  <testcase name="testThreadSafety" time="0.021"/>
  <testcase name="testThreadSafety" time="0.02"/>
  <testcase name="testThreadSafety" time="0.021"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.02"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.024"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.02"/>
  <testcase name="testThreadSafety" time="0.024"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.02"/>
  <testcase name="testThreadSafety" time="0.023"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.02"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.023"/>
  <testcase name="testThreadSafety" time="0.021"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.021"/>
  <testcase name="testThreadSafety" time="0.031"/>
  <testcase name="testThreadSafety" time="0.023"/>
  <testcase name="testThreadSafety" time="0.02"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.021"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.02"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.02"/>
  <testcase name="testThreadSafety" time="0.021"/>
  <testcase name="testThreadSafety" time="0.018"/>
  <testcase name="testThreadSafety" time="0.019"/>
  <testcase name="testThreadSafety" time="0.023"/>
  <testcase name="testXQueryMediatorSerializationSenarioOne" time="0.136"/>
</testsuite>